FROM openshift/ose-must-gather:v4.7.0.20210625.215400 AS builder
ENV __doozer=update BUILD_RELEASE=202106252127.p0.git.c726d00 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106252127.p0.git.c726d00 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=c726d00ee4e4070e66896066698515ae6d6be118 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+c726d00 OS_GIT_COMMIT=c726d00 OS_GIT_VERSION=4.7.0-202106252127.p0.git.c726d00-c726d00 SOURCE_DATE_EPOCH=1615406509 SOURCE_GIT_COMMIT=c726d00ee4e4070e66896066698515ae6d6be118 SOURCE_GIT_TAG=c726d00 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 

FROM openshift/ose-cli:v4.7.0.20210625.215400
ENV __doozer=update BUILD_RELEASE=202106252127.p0.git.c726d00 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106252127.p0.git.c726d00 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=c726d00ee4e4070e66896066698515ae6d6be118 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+c726d00 OS_GIT_COMMIT=c726d00 OS_GIT_VERSION=4.7.0-202106252127.p0.git.c726d00-c726d00 SOURCE_DATE_EPOCH=1615406509 SOURCE_GIT_COMMIT=c726d00ee4e4070e66896066698515ae6d6be118 SOURCE_GIT_TAG=c726d00 SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 

RUN yum -y install rsync

COPY --from=builder /usr/bin/oc /usr/bin/oc
COPY must-gather/* /usr/bin/

ENTRYPOINT /usr/bin/gather

LABEL \
        name="openshift/ose-local-storage-mustgather" \
        com.redhat.component="ose-local-storage-mustgather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Local Storage Operator" \
        release="202106252127.p0.git.c726d00" \
        io.openshift.build.commit.id="c726d00ee4e4070e66896066698515ae6d6be118" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/c726d00ee4e4070e66896066698515ae6d6be118" \
        version="v4.7.0"

